Description

Supportanfrage

ADTF3 Ideen zur Verbesserung der Usability

1) Thomas hätte gern die Möglichkeit 3rd-Party Subkonfigurationen ohne Anpassungen nutzen zu können.

Stichworte: Plug&Play, Drag&Drop

2) Thomas hätte gern weiterhin die Möglichkeit beliebige Datenströme der Subkonfig aufzuzeichnen, ohne über die komplette

Hierarchie Connections ziehen zu müssen.

Ideen:

"Wurmloch-Sample-Stream": Input auf unterer Ebene zur Verbindung mit Quelle, Output auf oberster Ebene zur

Verbindung mit Recorder

Liste von allen SampleStreams der Konfiguration im Recorder verfügbar und einzeln bzw, gruppiert nach Subkonfig

wählbar, ohne Connections ziehen zu müssen

Kontext-Menü auf SampleStream, um Connections bis zum StreamingGraph zu erstellen

3) Aufzeichnung von Änderungen von Properties

Thomas hätte gern die Möglichkeit Laufzeit-Änderungen von dynamischen Properties seiner Filter aufzuzeichnen, um diese im

Playback wieder zu verwenden. (Idealerweise ohne dafür separate Connections ziehen zu müssen)

Was wäre hier das empfohlene Vorgehen?

Lösung

1) Thomas hätte gern die Möglichkeit 3rd-Party Subkonfigurationen ohne Anpassungen nutzen zu können.

Stichworte: Plug&Play, Drag&Drop

 Ist darunter nicht der adtf_include Mechanismus zu verstehen ?

2) Thomas hätte gern weiterhin die Möglichkeit beliebige Datenströme der Subkonfig aufzuzeichnen, ohne über die komplette

Hierarchie Connections ziehen zu müssen.

Ideen:

"Wurmloch-Sample-Stream": Input auf unterer Ebene zur Verbindung mit Quelle, Output auf oberster Ebene zur

Verbindung mit Recorder

Liste von allen SampleStreams der Konfiguration im Recorder verfügbar und einzeln bzw, gruppiert nach Subkonfig

wählbar, ohne Connections ziehen zu müssen

Kontext-Menü auf SampleStream, um Connections bis zum StreamingGraph zu erstellen

 Das wäre imho die Anforderung/Erweiterung bzgl. FEP-Recorder in ADTF.

Hier gibt es dann eine Auswahlliste mittels CE Module Plugin, die Connections werden dann automatisch gezogen.

Durch Integration der FEP ADTF Toolbox.

Die Wurmlöcher gibt es schon, und heißen "Streaming Out/In Ports", die kann man in einem beliebigen Sub Graphen definieren, und

dann im Streaming Graph mit dem Recorder verbinden.
3) Aufzeichnung von Änderungen von Properties

Thomas hätte gern die Möglichkeit Laufzeit-Änderungen von dynamischen Properties seiner Filter aufzuzeichnen, um

diese im Playback wieder zu verwenden. (Idealerweise ohne dafür separate Connections ziehen zu müssen)

Was wäre hier das empfohlene Vorgehen?

 Aktuell fällt mir hierzu nur das Scripting ein aber da müsste man sich dann den "Verlauf" auch merken.

Hier müsste imho eine Anforderung definiert werden.

Wer verändert denn die Properties der Filter?

History

#1 - 2019-03-06 08:21 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.4.0, ADTF 3.5.0 added

- Platform Windows 7 64bit added

#3 - 2019-03-06 12:54 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Jens,

1) Thomas hätte gern die Möglichkeit 3rd-Party Subkonfigurationen ohne Anpassungen nutzen zu können.

Stichworte: Plug&Play, Drag&Drop

 Ist darunter nicht der adtf_include Mechanismus zu verstehen ?

2) Thomas hätte gern weiterhin die Möglichkeit beliebige Datenströme der Subkonfig aufzuzeichnen, ohne über die komplette Hierarchie

Connections ziehen zu müssen.

Ideen:

"Wurmloch-Sample-Stream": Input auf unterer Ebene zur Verbindung mit Quelle, Output auf oberster Ebene zur Verbindung mit

Recorder

Liste von allen SampleStreams der Konfiguration im Recorder verfügbar und einzeln bzw, gruppiert nach Subkonfig wählbar, ohne

Connections ziehen zu müssen

Kontext-Menü auf SampleStream, um Connections bis zum StreamingGraph zu erstellen

 Das wäre imho die Anforderung/Erweiterung bzgl. FEP-Recorder in ADTF.

Hier gibt es dann eine Auswahlliste mittels CE Module Plugin, die Connections werden dann automatisch gezogen.

Durch Integration der FEP ADTF Toolbox.

3) Aufzeichnung von Änderungen von Properties

Thomas hätte gern die Möglichkeit Laufzeit-Änderungen von dynamischen Properties seiner Filter aufzuzeichnen, um diese im Playback

wieder zu verwenden. (Idealerweise ohne dafür separate Connections ziehen zu müssen)

Was wäre hier das empfohlene Vorgehen?

 Aktuell fällt mir hierzu nur das Scripting ein aber da müsste man sich dann den "Verlauf" auch merken.

Hier müsste imho eine Anforderung definiert werden.

@Martin: Was meinst du dazu ?

#4 - 2019-03-06 12:59 - hidden

Hi Jens,

Zu 2.) die Wurmlöcher gibt es schon, und heißen "Streaming Out/In Ports", die kann man in einem beliebigen Sub Graphen definieren, und dann im

Streaming Graph mit dem Recorder verbinden.

Zu 3.) wer verändert denn die Properties der Filter?
#5 - 2019-03-11 08:26 - hidden

@Jens: Zu unseren Anmerkungen noch Anmerkungen ? Ansonsten würde ich das Ticket schließen wollen/müssen

#6 - 2019-03-13 09:21 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF3 Verbesserungsvorschläge to Common usability requests for ADTF 3.x (graphs, properties)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#7 - 2019-08-08 19:11 - hidden

- Status changed from To Be Closed to Closed
